<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-feature android:name="android.hardware.camera" android:required="false"/>
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />



    <uses-permission android:name="android.permission.CAMERA" />

    <queries>
        <intent>
            <action android:name="android.intent.action.INSTALL_PACKAGE" />
        </intent>
    </queries>



    <!-- Devices running Android 12L (API level 32) or lower  -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />

    <!-- Devices running Android 13 (API level 33) or higher -->
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />


    <!-- To handle the reselection within the app on Android 14 (API level 34) -->
    <uses-permission android:name="android.permission.READ_MEDIA_VISUAL_USER_SELECTED" />


    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE"
       />



    <application
        android:name=".apps.Application"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true"
        tools:ignore="LockedOrientationActivity,DiscouragedApi"

        android:requestLegacyExternalStorage="true"
        >

        <activity
            android:name=".ui.activities.ActivitySplash"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="true"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.activities.ActivityMain"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityLogin"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:launchMode="singleTask"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivitySetting"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityAccountLandscape"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityAccountPortrait"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityAccountSettings"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityUpwardLandscape"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityUpwardPortrait"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityDownLandscape"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".ui.activities.ActivityDownPortrait"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:exported="false"
            android:windowSoftInputMode="adjustResize|stateHidden|adjustPan|stateAlwaysHidden" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.providers.file"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/shared_paths" />
        </provider>


    </application>

</manifest>